Main Page Class Hierarchy Compound List File List Compound Members File Members

# cmt_node Class Reference

Inheritance diagram for cmt_node

[legend]
List of all members.

## Public Methods
| cmt_node ()
virtual | ~cmt_node ()
virtual const cmt_regexp::iterator | match (const cmt_string& text, int pos) const
virtual bool | is_char () const
virtual bool | is_many_node () const
## Static Public Methods
cmt_node& | null ()
int | node_count ()
## Static Private Attributes
int | _node_count = 0

## Constructor & Destructor Documentation

cmt_node::cmt_node ( | )

| Definition at line 226 of file cmt_regexp.cxx.
    00227 {
    00228   _node_count++;
    00229 }

cmt_node::~cmt_node ( | )`[virtual]`

| Definition at line 231 of file cmt_regexp.cxx.
    00232 {
    00233   _node_count--;
    00234 }

## Member Function Documentation

bool cmt_node::is_char ( | ) const`[virtual]`

| Reimplemented in cmt_char_node. Definition at line 247 of file cmt_regexp.cxx. Referenced by cmt_and_node::reduce().
    00248 {
    00249   return (false);
    00250 }

bool cmt_node::is_many_node ( | ) const`[virtual]`

| Reimplemented in cmt_many_node. Definition at line 252 of file cmt_regexp.cxx. Referenced by cmt_and_node::reduce().
    00253 {
    00254   return (false);
    00255 }

const cmt_regexp::iterator cmt_node::match ( | const cmt_string & text,
| int pos ) const`[virtual]`

| Reimplemented in cmt_char_node, cmt_string_node, cmt_char_list_node, cmt_not_char_list_node, cmt_any_node, cmt_zero_one, cmt_begin_node, cmt_end_node, cmt_and_node, cmt_or_node, cmt_zero_more, and cmt_one_more. Definition at line 241 of file cmt_regexp.cxx. Referenced by cmt_regexp::begin(), cmt_or_node::match(), cmt_and_node::match(), cmt_one_more::match(), cmt_zero_more::match(), and cmt_zero_one::match().
    00243 {
    00244   return (cmt_regexp::iterator::null());
    00245 }

int cmt_node::node_count ( | )`[static]`

| Definition at line 236 of file cmt_regexp.cxx.
    00237 {
    00238   return (_node_count);
    00239 }

cmt_node & cmt_node::null ( | )`[static]`

| Definition at line 209 of file cmt_regexp.cxx. Referenced by cmt_node_set::pop(), and cmt_node_set::top().
    00210 {
    00211   static cmt_node null_instance;
    00212
    00213   return (null_instance);
    00214 }

## Member Data Documentation

int cmt_node::_node_count = 0`[static, private]`

| Definition at line 257 of file cmt_regexp.cxx.

The documentation for this class was generated from the following file:

- cmt_regexp.cxx